Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.jdbcjobstore
Class Util

    java.lang.Object
      org.quartz.impl.jdbcjobstore.Util

    public final class Util

extends Object

This class contains utility functions for use in all delegate classes.

Author:
  Jeffrey Wescott

Method Summary
`static void` | `closeResultSet(ResultSet rs)` Cleanup helper method that closes the given `ResultSet` while ignoring any errors.
`static void` | `closeStatement(Statement statement)` Cleanup helper method that closes the given `Statement` while ignoring any errors.
`static String` | `rtp(String query, String tablePrefix, String schedNameLiteral)` Replace the table prefix in a query by replacing any occurrences of "{0}" with the table prefix.
`static void` | `setBeanProps(Object obj, String[] propNames, Object[] propValues)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### rtp

    public static String rtp(String query,
                             String tablePrefix,
                             String schedNameLiteral)

  Replace the table prefix in a query by replacing any occurrences of "{0}" with the table prefix.

  Parameters:
    `query` - the unsubstitued query
    `tablePrefix` - the table prefix
  Returns:
    the query, with proper table prefix substituted

### closeResultSet

    public static void closeResultSet(ResultSet rs)

  Cleanup helper method that closes the given `ResultSet` while ignoring any errors.

### closeStatement

    public static void closeStatement(Statement statement)

  Cleanup helper method that closes the given `Statement` while ignoring any errors.

### setBeanProps

    public static void setBeanProps(Object obj,
                                    String[] propNames,
                                    Object[] propValues)
                             throws JobPersistenceException

  Throws:
    `JobPersistenceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.